Skip to main content
GET
/
trade-items
/
by-identifier
/
{identifier}
Get Trade Item by Identifier
curl --request GET \
  --url https://api.example.com/trade-items/by-identifier/{identifier}
import requests

url = "https://api.example.com/trade-items/by-identifier/{identifier}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/trade-items/by-identifier/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "tradeItemTag": {
    "id": "<string>",
    "code": "<string>",
    "name": "<string>",
    "description": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deleted": true,
    "deletedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

identifier
string
required

The identifier of the trade item (format: {prefix}.{referenceNumber} or {prefix}.{referenceNumber}.{batchNumber})

Response

The trade item has been successfully retrieved

id
string
required

The id of the trade item

name
string
required

The name of the trade item

tradeItemTag
object

The tag associated with the trade item